package hsmw.jotto5.beleg;

import hsmw.jotto5.beleg.views.*;
import hsmw.jotto5.beleg.data.*;

import java.net.InetSocketAddress;
import com.sun.net.httpserver.*;
import java.io.IOException;

/**
 * Die Main-Klasse mit dem Einstiegspunkt der Anwendung.
 */
public class Main {

	/**
	 * Main-Methode
	 * @param args Die Programmargumente
	 */
	public static void main(String[] args) {
		HttpServer s = null;

		Model.getModel().fillMockData();

		try {
			s = HttpServer.create(new InetSocketAddress("127.0.0.1", 8000), 0);
			// Kontexts werden nach längstem Matching ausgewählt (wieso?)
			// Alle unbekannten Anfragen die mit / starten werden also an die RootView gegeben
			// Statische Dateien werden auch von der RootView verarbeitet
			s.createContext("/", new RootView());
			s.createContext("/main", new StartView());
			s.createContext("/auth", new AuthView());
			s.createContext("/tree", new TreeView());
			s.createContext("/object", new ObjectView());
			s.setExecutor(null);
			s.start();
		} catch (IOException e) {
			System.err.println("IOException bei der Erstellung des HTTP Servers.");
			e.printStackTrace();
			return;
		}
		// schließen ist nicht nötig, da beim Beenden die ganze JVM zerstört wird
	}

}
