package hsmw.jotto5.beleg.data;

/**
 * Verkapselt einige Daten die über alle Arten von Personen wichtig sind.
 */
public abstract class Person extends DataObject {

	@WebField(displayAs = "Vorname")
	public final String name;

	@WebField(displayAs = "Nachname")
	public final String lastName;

	/**
	 * Konstruktor.
	 *
	 * Der displayName wird aus Vor- und Nachname zusammengesetzt.
	 * @param uid Die zu vergebende UID
	 * @param name Der Vorname
	 * @param lastName Der Nachname
	 */
	public Person(String uid, String name, String lastName) {
		super(uid, lastName + ", " + name);
		this.name = name;
		this.lastName = lastName;
	}

}
