package hsmw.jotto5.beleg.data;

/**
 * Bildet einen Veranstaltungsraum ab.
 */
public class Room extends DataObject {

	/**
	 * Die maximale Personenkapazität des Raumes.
	 * -1 steht für einen unbegrenzt großen Raum.
	 */
	@WebField(displayAs = "Platzanzahl")
	public final int size;

	/**
	 * Konstruktor.
	 *
	 * @param uid Die zu vergebende UID
	 * @param displayName Der Anzeigename
	 * @param size Die maximale Personenkapazität oder -1 für unbegrenzt
	 */
	public Room(String uid, String displayName, int size) {
		super(uid, displayName);
		this.size = size;
	}

}
