package hsmw.jotto5.beleg.views;

import hsmw.jotto5.beleg.data.DataObject;
import hsmw.jotto5.beleg.data.Model;

import java.io.IOException;
import java.io.OutputStream;
import com.sun.net.httpserver.*;
import java.lang.reflect.*;

public class ObjectView implements HttpHandler {

	public void handle(HttpExchange t) throws IOException {
		String response;
		String objectPath;
		OutputStream os;
		Model m = Model.getModel();
		DataObject obj = null;

		// Das angefragte Objekt finden
		objectPath = t.getRequestURI().toString();
		if (objectPath.length() >= 9) {
			objectPath = objectPath.substring(8);
			obj = m.get(objectPath);
		}

		if ( obj == null ) return; // TODO: 404 oder 500 zurückgeben!

		// Die Tabelle ausgeben
		response = Defaults.HTMLHEADER + "<h1>Beleg - Objektansicht</h1>";
		response += "<table class=\"objecttable\">";
		try {
			for (Field f : obj.getClass().getFields()) {
				if (f.isAnnotationPresent(DataObject.WebField.class)) {
					// Das Feld hat die "WebField"-Annotation, ist also anzuzeigen
					response += "<tr><td>" + f.getAnnotation(DataObject.WebField.class).displayAs() + "</td>";
					// Feld anzeigen
					response += "<td><input type=\"text\" value=\"" + f.get(obj).toString() + "\" disabled /></td></tr>";
				}
			}
		} catch(IllegalAccessException e) {
			// hier sollten wir niemals her kommen
			// TODO: 500 werfen
			e.printStackTrace();
		}

		response += "</table><button>Speichern</button>";

		response += Defaults.HTMLFOOTER;
		os = t.getResponseBody();

		t.sendResponseHeaders(200, response.length());
		os.write(response.getBytes());
		os.close();
	}

}
